version: '3'

services:
  curator:
    build: .
    image: registry.gitlab.com/avisi/pec/curator
    environment:
      ELASTICSEARCH_HOST: 'elasticsearch'
  
  elasticsearch:
    image: quay.io/pires/docker-elasticsearch-kubernetes:6.2.4
    ports:
      - '9200:9200'
    environment:
      NODE_DATA: 'true'
      NODE_MASTER: 'true'
      NODE_INGEST: 'true'
      HTTP_ENABLE: 'true'
      ES_JAVA_OPTS: '-Xms2096m -Xmx2096m'
      CLUSTER_NAME: 'myesb'
      NUMBER_OF_MASTERS: '1'
